package gov.va.vinci.dart.json.builder;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang.StringUtils;

public class FieldValidationBuilder {

    private List<String> messages = new ArrayList<String>();

    public FieldValidationBuilder checkStringField(final String fieldValue, final String errorMessage) {
        if (StringUtils.isBlank(fieldValue)) {
            this.messages.add("Error: " + errorMessage);
        }
        return this;
    }

    public List<String> getMessages() {
        return messages;
    }
	
}
